import pika
import time

def process_message(ch, method, properties, body):
    print(f"Получено сообщение: {body}")
    time.sleep(3)
    print("Сообщение успешно обработано")

connection = pika.BlockingConnection(pika.ConnectionParameters('localhost'))
channel = connection.channel()

result = channel.queue_declare(queue='', exclusive=True)
queue_name = result.method.queue

channel.queue_bind(exchange='Agreements', queue=queue_name)

channel.basic_consume(queue=queue_name, on_message_callback=process_message, auto_ack=True)

print('Ожидание...')
channel.start_consuming()